echo off
echo -
echo -
echo -  This batch will install map for Mapsource
echo -
echo -  Map:  "Otztal"
echo -  FID:  3398
echo -  PID:  2
echo -
echo -  Press Enter to continue or Ctrl-C to abort.
echo -
pause

if exist "%~dp0mapset.img" goto :INSTREG
echo Compiling preview map.
if not exist "C:/Program Files (x86)/cGPSmapper/cgpsmapper.exe" goto :COMPPATH
"C:/Program Files (x86)/cGPSmapper/cgpsmapper.exe" "mapset.mp"
goto TESTMAP
:COMPPATH
cgpsmapper "mapset.mp"
:TESTMAP
if exist "%~dp0mapset.img" goto :INSTREG
echo File missing: mapset.img, aborting install.
pause
exit 1

:INSTREG
echo Adding registry keys.

set KEY=HKLM\SOFTWARE\Wow6432Node\Garmin\MapSource
if %PROCESSOR_ARCHITECTURE% == AMD64 goto key_ok
set KEY=HKLM\SOFTWARE\Garmin\MapSource
:key_ok

reg ADD %KEY%\FamiliesNT\FAMILY_3398 /v ID /t REG_BINARY /d 460D /f
if exist mapset_mdr.img (
	reg ADD %KEY%\FamiliesNT\FAMILY_3398 /v IDX /t REG_SZ /d "%~dp0mapset.mdx" /f
	reg ADD %KEY%\FamiliesNT\FAMILY_3398 /v MDR /t REG_SZ /d "%~dp0mapset_mdr.img" /f
)
if exist mapset.typ reg ADD %KEY%\FamiliesNT\FAMILY_3398 /v TYP /t REG_SZ /d "%~dp0mapset.typ" /f
reg ADD %KEY%\FamiliesNT\FAMILY_3398\2 /v Loc /t REG_SZ /d "%~dp0\" /f
reg ADD %KEY%\FamiliesNT\FAMILY_3398\2 /v Bmap /t REG_SZ /d "%~dp0mapset.img" /f
reg ADD %KEY%\FamiliesNT\FAMILY_3398\2 /v Tdb /t REG_SZ /d "%~dp0mapset.tdb" /f
pause
exit 0
